BEGIN dggERRH1 //Class(Player1, PALADIN), etc etc

//////////////////////////////////
//convincing Lady Celicia, solo style
/////////////////////////////////

IF ~ ReputationGT(Player1,12) CheckStatGT(Player1,13,CHR) Class(Player1,PALADIN_ALL) Class(Player1,MONK) Class(Player1,CLERIC_ALL)~ THEN BEGIN 0
	SAY ~Yes, I suppose I could spare a moment.~
	++ ~You should donate money to the Ilmateri. ~ GOTO 1
END

IF ~~ THEN BEGIN 1
	SAY ~Oh? And why would you say such a thing? My wealth was hard-earned by my grandparents several generations ago!~
		++ ~Well, you see, it's good for your spritual wellbeing. The gods will shower spiritual fortune upon you.~ GOTO selfSuccess
		++ ~Because it’ll make you look good in your social circle. You can donate some, tell people that you donated but not tell them the amount, and they’ll see how rich you still are! They’ll be so impressed with your wealth, I promise.~ GOTO selfSuccess
		++ ~Because when the poors rise up to each the rich, they'll eat you last.~ GOTO selfSuccess
END

IF ~~ THEN BEGIN selfSuccess
	SAY ~Hmm.... Perhaps there is some merit to what you say. Very well, I'll start donating.~
IF ~~ THEN DO ~
	AddJournalEntry(@5102, QUEST) SetGlobal("ggERMQstep", "Global", 3) EscapeArea()~ EXIT //Skipping small side-quest
END

/////////////////////////////////////////
//convincing Lady Celicia, party style
/////////////////////////////////////////

IF ~Or(3)InParty("Keldorn") InParty("Rasaad") InParty("Nalia") ~ THEN BEGIN 10
	SAY ~Yes, I suppose I could spare a moment.~
	++ ~I'm here to request that you regularly donate to the Ilmateri temple. ~ GOTO donateKeldorn
END


CHAIN IF ~~ THEN dggERRH1 donateKeldorn
~Oh? And why would you say such a thing? My wealth was hard-earned by my grandparents several generations ago!~
	== KeldorJ IF ~InParty("Keldorn")~ THEN ~Are we not called upon to help those in need?~
	== Rasaad IF ~InParty("Rasaad")~ THEN ~Helping those in need certainly would further strengthen your spiritual wellbeing.~
	== Rasaad IF ~InParty("Nalia")~ THEN ~It'll make you look good in your social circle. flaunting your wealth by donating is very impressive.~

END
	++ ~(Continue)~ + partySuccess

APPEND dggERRH1 

IF ~~ THEN BEGIN partySuccess
	SAY ~Hmm.... Perhaps there is some merit to what you say. Very well, I'll start donating.~
IF ~~ THEN DO ~
	AddJournalEntry(@5102, QUEST) SetGlobal("ggERMQstep", "Global", 3) EscapeArea()~ EXIT //Skipping small side-quest
END

/////////////////////////////////////////
//convincing Lady Celicia, quest style
/////////////////////////////////////////


IF ~Global("ggERMQstep", "Global", 1) !ReputationGT(Player1,12) !CheckStatGT(Player1,13,CHR) !Class(Player1,PALADIN_ALL) !Class(Player1,MONK) !Class(Player1,CLERIC_ALL) !InParty("Keldorn") !InParty("Rasaad") !InParty("Nalia")~ THEN BEGIN 20
	SAY ~Yes, I suppose I could spare a moment.~
	++ ~You should donate money to the Ilmateri. ~ GOTO 21
END

IF ~~ THEN BEGIN 21
	SAY ~Oh? And why would you say such a thing? My wealth was hard-earned by my grandparents several generations ago!~
		++ ~Well, you see, it's good for your spritual wellbeing. The gods will shower spiritual fortune upon you.~ GOTO selfFail
		++ ~Because it’ll make you look good in your social circle. You can donate some, tell people that you donated but not tell them the amount, and they’ll see how rich you still are! They’ll be so impressed with your wealth, I promise.~ GOTO selfFail
		++ ~Because when the poors rise up to each the rich, they'll eat you last.~ GOTO selfFail
END



IF ~~ THEN BEGIN selfFail
	SAY ~What am I, a charity? If they cannot build their wealth themselves, perhaps they don't deserve to have any.~
	++ ~Perhaps there is something I can do to convince you?~ GOTO 25
	++ ~I'll be going then.~ GOTO 24
END

IF ~~ THEN BEGIN 25
	SAY ~Well…. I suppose if you’re so insistent, there was a Robe of Cold Resistance that I was going to get from my tailor in Waukeen's Promenade. If you get it for me, I swear that I’ll donate the money that I was going to pay you.~
	++ ~Alright, I'll do it.~ GOTO 26
	++ ~No.~ GOTO 24
END

IF ~~ THEN BEGIN 24
	SAY ~Hmph.~ IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26
	SAY ~Do hurry! I haven't got all day.~ IF ~~ THEN EXIT
IF ~~ THEN DO ~
	AddJournalEntry(@5101, QUEST) SetGlobal("ggERMQstep", "Global", 2)~ EXIT //doing small side-quest
END


//////////////////////////////////
//small quest
/////////////////////////////////
IF ~Global("ggERMQstep", "Global", 2)~ THEN BEGIN 30
	SAY ~Do you have the dress yet?~
	++ ~Not yet.~ GOTO 34
	+~PartyHasItem("CLCK09")~+ ~Yes, here it is.~ GOTO 31
END

IF ~~ BEGIN 31
	SAY ~Excellent! Give that here, and I swear on Helm that I’ll make the donation of your courier fee.~
	++ ~Here you go.~ GOTO 32
	++ ~No. You donating my salary is just me donating my salary with extra steps. Donate double.~ GOTO 33
END

IF ~~ BEGIN 33
	SAY ~WHAT!? Are you insane?~
	++ ~I'm insane enough to ruin this garment if you don't.~ GOTO 35
	++ ~Ah, no, I was just joking. Here's the garment.~ GOTO 32
END

IF ~~ BEGIN 32
	SAY ~Well, our business is concluded. I'll make the donation.~
IF ~~ THEN DO ~
	AddJournalEntry(@5102, QUEST) SetGlobal("ggERMQstep", "Global", 3) TakePartyItem("CLCK09") EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 34
	SAY ~Hmph. I haven't got all day!~ IF ~~ THEN EXIT
END

IF ~~ BEGIN 35
	SAY ~Unbelievable! Fine! I'll donate double, but don't expect me to be happy about it!~
IF ~~ THEN DO ~
	AddJournalEntry(@5102, QUEST) SetGlobal("ggERMQstep", "Global", 3) TakePartyItem("CLCK09") EscapeArea()~ EXIT
END
END



